Skip to main content
GET
List Usage Requests

Authorizations

Authorization
string
header
required

A control-plane management key using the sk-cp- prefix. Inference keys are not accepted by control-plane endpoints.

Path Parameters

org_id
string
required

Organization ID or slug

Query Parameters

workspace_id
string<uuid> | null

Workspace id

period
enum<string>
default:30d

Period

Available options:
today,
7d,
30d,
month_to_date,
custom
timezone
string
default:UTC

Timezone

start_date
string<date> | null

Start date

end_date
string<date> | null

End date

start_at
string<date-time> | null

Start at

end_at
string<date-time> | null

End at

owner_id
string<uuid> | null

Owner id

key_id
string | null

Management key ID

model_id
string | null

Model id

provider_id
string | null

Provider id

credential_id
string<uuid> | null

Provider credential ID

request_id
string<uuid> | null

Request id

status
enum<string> | null

Status

Available options:
ok,
upstream_error,
denied,
timeout,
cancelled,
credential_rejected,
rate_limited
multiple_attempts
boolean
default:false

Multiple attempts

limit
integer
default:50

Maximum number of results to return

Required range: 1 <= x <= 100
cursor
string | null

Opaque continuation token from the previous page

Required string length: 1 - 512
Pattern: ^[A-Za-z0-9_-]+$

Response

Successful Response

data
RequestPageOut · object
required